package com.kingdee.eas.custom.facade.IntelligentRules;

import com.kingdee.bos.BOSException;
import com.kingdee.bos.BOSObjectFactory;
import com.kingdee.bos.util.BOSObjectType;
import com.kingdee.bos.Context;

public class IntelligentRulesFacadeFactory
{
    private IntelligentRulesFacadeFactory()
    {
    }
    public static com.kingdee.eas.custom.facade.IntelligentRules.IIntelligentRulesFacade getRemoteInstance() throws BOSException
    {
        return (com.kingdee.eas.custom.facade.IntelligentRules.IIntelligentRulesFacade)BOSObjectFactory.createRemoteBOSObject(new BOSObjectType("0B34AF0C") ,com.kingdee.eas.custom.facade.IntelligentRules.IIntelligentRulesFacade.class);
    }
    
    public static com.kingdee.eas.custom.facade.IntelligentRules.IIntelligentRulesFacade getRemoteInstanceWithObjectContext(Context objectCtx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.IntelligentRules.IIntelligentRulesFacade)BOSObjectFactory.createRemoteBOSObjectWithObjectContext(new BOSObjectType("0B34AF0C") ,com.kingdee.eas.custom.facade.IntelligentRules.IIntelligentRulesFacade.class, objectCtx);
    }
    public static com.kingdee.eas.custom.facade.IntelligentRules.IIntelligentRulesFacade getLocalInstance(Context ctx) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.IntelligentRules.IIntelligentRulesFacade)BOSObjectFactory.createBOSObject(ctx, new BOSObjectType("0B34AF0C"));
    }
    public static com.kingdee.eas.custom.facade.IntelligentRules.IIntelligentRulesFacade getLocalInstance(String sessionID) throws BOSException
    {
        return (com.kingdee.eas.custom.facade.IntelligentRules.IIntelligentRulesFacade)BOSObjectFactory.createBOSObject(sessionID, new BOSObjectType("0B34AF0C"));
    }
}